curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Client deleted successfully",
"external_id": "SF-ACC-67890",
"cor_id": 25855
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found for source SALESFORCE",
"code": "ZC004"
}
Clients
Delete Client
Deletes a client from your COR instance using its external ID
DELETE
/
v2
/
integrations
/
clients
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Client deleted successfully",
"external_id": "SF-ACC-67890",
"cor_id": 25855
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found for source SALESFORCE",
"code": "ZC004"
}
Deletes a client from your COR instance using its external ID. This also removes the integration mapping.
Path Parameters
string
required
External client ID that was used when creating the client
Request Body Requirements
object
required
Show properties
Show properties
string
required
Integration source identifier. Must match the source used when creating the client.
Known Errors
ClientNotFoundError— No client found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefieldDeletionError— Client cannot be deleted due to existing dependencies (projects, brands, etc.)
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Client deleted successfully",
"external_id": "SF-ACC-67890",
"cor_id": 25855
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found for source SALESFORCE",
"code": "ZC004"
}
Was this page helpful?
⌘I

